[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Xorg broken in Lenny

Xorg stopped working after a recent dist-upgrade of Lenny (Testing). The problem
seems to be that the package xserver-xorg-core will not install. dpkg is unable
to create `./usr/lib/xorg/modules/libwfb.so'. This does not seem to be mentioned
in any bug reports. Here is some of the output:

# aptitude install xserver-xorg-core
The following packages will be upgraded:
The following partially installed packages will be configured:
  xserver-xorg xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-kbd xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-wacom
  xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus
  xserver-xorg-video-cyrix xserver-xorg-video-dummy
  xserver-xorg-video-fbdev xserver-xorg-video-glint xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-i810 xserver-xorg-video-imstt
  xserver-xorg-video-intel xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-newport
  xserver-xorg-video-nsc xserver-xorg-video-nv xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge
  xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-tga xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-v4l xserver-xorg-video-vesa
  xserver-xorg-video-vga xserver-xorg-video-via xserver-xorg-video-vmware
1 packages upgraded, 0 newly installed, 87 to remove and 173 not upgraded.
Need to get 0B/4071kB of archives. After unpacking 233MB will be freed.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Can not write log, openpty() failed (/dev/pts not mounted?)
(Reading database ... 115963 files and directories currently installed.)
Preparing to replace xserver-xorg-core 2: (using
.../xserver-xorg-core_2%3a1.4.1~git20080517-1_i386.deb) ...
Unpacking replacement xserver-xorg-core ...
dpkg: error processing
 unable to create `./usr/lib/xorg/modules/libwfb.so': No such file or directory
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of xserver-xorg-video-v4l:
 xserver-xorg-video-v4l depends on xserver-xorg-core (>= 2:1.4); however:
  Version of xserver-xorg-core on system is 2:

Should I completely purge Xorg and reinstall? If so, which package(s) should I

Thanks for any suggestions.


Reply to: